<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Service;

use App\Scolarite\Domain\Model\Evaluation\Coefficient;
use App\Scolarite\Domain\Model\Evaluation\GradeScale;

final readonly class GradeEntry
{
    public function __construct(
        public float $value,
        public GradeScale $gradeScale,
        public Coefficient $coefficient,
    ) {
    }
}
